> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/gateway-manager/get-services/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # List all services GET https://example.itential.io/gateway_manager/v1/services Returns all services across all gateways, optionally filtered by cluster_id. Reference: https://docs.itential.com/itential-cloud/api-reference/gateway-manager/get-services ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Query parameters - `cluster_id` (string, optional) — The cluster Id for the gateway to pull services for (optional) ## Response ### 200 All of the services that exist across all gateways - `state` (string, optional) - `result` (list of object, optional) - `_id` (string, optional) - `active` (boolean, optional) - `service_metadata` (object, optional) - `location` (string, optional) - `id` (string, optional) - `key` (string, optional) - `type` (string, optional) - `created` (string, optional) - `name` (string, optional) - `description` (string, optional) - `decorator` (object, optional) - `repository` (object, optional) - `id` (string, optional) - `name` (string, optional) - `type` (string, optional) - `tags` (list of any, optional) - `working_dir` (string, optional) - `entity` (object, optional) - `last_run` (integer, optional) - `schedule` (object, optional) ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json { "state": "Success", "result": [ { "_id": "67114d64d97db4ea87998b79", "active": true, "service_metadata": { "location": "cluster_1", "id": "debe9024-52ee-4b39-8c49-96567ff925e4", "key": "gateway/cluster_1/services/v1/opentofu-plan/my-tofu-service", "type": "opentofu-plan", "created": "2024-10-17T17:45:06.544672610Z", "name": "my-tofu-service", "description": "string", "decorator": {}, "repository": { "id": "string", "name": "t-scripts", "type": "v1.Repository" }, "tags": [ "string" ], "working_dir": "plan-dir", "entity": {} }, "last_run": 1729187315871, "schedule": {} } ] } ``` **SDK Code** ```python import requests url = "https://example.itential.io/gateway_manager/v1/services" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/gateway_manager/v1/services'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/gateway_manager/v1/services" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/gateway_manager/v1/services") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/gateway_manager/v1/services") .asString(); ``` ```php request('GET', 'https://example.itential.io/gateway_manager/v1/services'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/gateway_manager/v1/services"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/gateway_manager/v1/services")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```